<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Modificar Elemento</title>
</head>
<body>
    <div class="info">
    </div>
    <div id="app" >
    </div>


        <script>
            var div = document.querySelector('.info');

            div.textContent='hola a todos';
            console.log(div.textContent);

            div.innerHTML = '<strong>importante</strong>';
            console.log(div.innerHTML);
            console.log(div.textContent);

            var div_nuevo = document.createElement('div');
            div_nuevo.textContent = 'Elemento 1';

            var div2 = div.cloneNode();
            div2.textContent = 'Elemento 2';

            div2.textContent;

            var div_nuevo2 = document.createElement('div');
            div2.textContent = 'Esto es un div insertado con js.';

            var app = document.querySelector('#app');
            app.appendChild(div);

            var fieldset = document.createElement('fieldset');
            fieldset.id= 'app'; 

            var label = document.createElement('label');
            label.textContent = 'hola';
            console.log(label.textContent);
            fieldset.appendChild(label);

            var div3 = document.createElement('div');
            div3.textContent = 'inicial';
            console.log(div3.textContent);
           fieldset.appendChild(div3);

           app.appendChild(fieldset);

            </script>
</body>
</html>